Subject: [os2genau_digest] No. 1015
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 28 Dec 2004 00:01:09 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 27 December 2004
 Number  1015
**************************************************

Subjects for today
 
1  Re:  Logon tip was DNS?? : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Logon tip was DNS?? : Gavin Miller <drumextreme at impulse dot net dot au>
3   System Trash can : Dennis Nolan <dennik at swiftdsl dot com dot au>
4  Re:  Logon tip was DNS?? : Dennis Nolan <dennik at swiftdsl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 27 Dec 2004 14:22:13 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Logon tip was DNS??

On Sun, 26 Dec 2004 10:35:38 +1100, Dennis Nolan wrote:

>
>Just for something different:
>If you still have that black command line window during power up and 
>don't mind an automatic log in with userid and password, do the following:
>Copy the log on object to the startup folder, open the preferences and 
>in the parameters field enter
>yourUserID /P:yourPassWord /V:L

Better still if you set it up as a command line session (call it MyLogon.cmd
or something else to your liking) and in the body type it as 
 at C:\MUGLIB\LOGON.EXE yourUserID /P:yourPassWord /V:L
Then the command is NOT echoed to the screen and your passwords are just that
little bit less visible to world+dog

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Basic programmers never die. They just GOSUB without RETURN!
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 27 Dec 2004 16:42:25 +1100
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:  Re:  Logon tip was DNS??

Doesn't the router handle login if it's used as a gateway?

Cheers
G

John Angelico wrote:

>On Sun, 26 Dec 2004 10:35:38 +1100, Dennis Nolan wrote:
>
>  
>
>>Just for something different:
>>If you still have that black command line window during power up and 
>>don't mind an automatic log in with userid and password, do the following:
>>Copy the log on object to the startup folder, open the preferences and 
>>in the parameters field enter
>>yourUserID /P:yourPassWord /V:L
>>    
>>
>
>Better still if you set it up as a command line session (call it MyLogon.cmd
>or something else to your liking) and in the body type it as 
> at C:\MUGLIB\LOGON.EXE yourUserID /P:yourPassWord /V:L
>Then the command is NOT echoed to the screen and your passwords are just that
>little bit less visible to world+dog
>
>
>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... Basic programmers never die. They just GOSUB without RETURN!

> 

>
>
>  
>
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 27 Dec 2004 19:37:48 +1100
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:   System Trash can

Hi all

I've just spent most of today emptying the trash

At the end I found out what the cause of the problem was.
But to the start
Symptoms:
Clicking on the trashcan icon resulted in a details container window 
opening and it being filled up with deleted objects, however before 
completing the desktop would collapse and restart.
Same thing for the Trash can icon context menu (right clicking the icon) 
The collecting objects dialog would appear followed shortly after by a 
desktop reset.

Cause of the problem:
Two files with very long file names
These files were in the old cache that belonged to sCache, something 
that I haven't used for over a year. If I recall there was a windows 
vulnerability that was exploited by causing IA to spit the dummy, and 
extremely long filenames with several "dots" seems like a chance to do 
IA mischief.
Like everything I had to go through a lot of pain before the cause and 
solution was found.

The problem was that I couldn't empty the trash can.
The four things needed to solve this problem are
A    The command-line, attrib -H  command, to unhide files and directories
B    The Shift-Delete command to Delete an object and not just move it 
to the trash can
C    The Ctrl-S Command to bring up the Select by name dialog
D    The System Menu  -> folder actions -> show tree size command which 
brings up a display of all objects with their names and sizes, sorted by 
size.

Assuming that the cause of the problem is a too long a file name, you 
have to shorten it.
Unfortunately it cannot be done without shortening the path to it.
So do the following.

Do "A". This will make the trash folder visible when the drive object is 
opened.
Do "D". Then just keep expanding the tree to find the file/s with very 
long file names
When a likely object id found we need to  shorten the names of it and 
it's  path folders.

To do this open the drive object and the trash folder.
The trash folder will appear empty so do "C", enter the name of the 
first trash sub-directory in the path, click "Select" followed by 
"Close", then when back at the Trash folder press "Enter"
The objects in this and subsequent folders are visible, so the "Select 
by Name" is only required for the trash folder.
Drill down through the folders until the target file is found. On the 
way change/shorten the name of some of the folders (Alt-Enter), and then 
change/shorten the name of the target file.
Select the file and do "B"(Shift-Delete). If it doesn't delete, either 
you haven't shortened the path/filename enough, or something different 
is the cause of the problem.
Back-out and select trash in the drive folder and Shift-Delete it.
If trash is not deleted then repeat until it is.

When I did it I didn't know what the cause was and so started deleting 
directories until the desktop reset itself and through a process of 
elimination was left with the two files which I was unable to delete. I 
was also unable to change their names.
I was resolved to leave them there until while writing this I remembered 
that there is a MaxFilePart as well as  a MaxFilePath constant, and so 
tried changing directory names. Thankfully this worked.
I've turned the trashcan off, I've never really had reason to use it.
I've checked my other drives/partitions, same deal, more space taken up 
by deleted files than by valid files.

Regards
Dennis

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 27 Dec 2004 19:47:06 +1100
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  Logon tip was DNS??

Gavin Miller wrote:

> Doesn't the router handle login if it's used as a gateway?
>
> Cheers
> G
>
Well the ADSL modem handles the login to your ISP (WAN) and the internal 
DNS server looks after your LAN
Though where the Router ends and the ADSL modem starts is debatable.
Suffice it to say that once the Router/Modem is programmed, regardless 
of which OS is used, it's available for all OS's.
Regards
Dennis.

----------------------------------------------------------------------------------